Show: Inherited Protected Private Deprecated

# ButtonCfgProps Class

Defined in: `src/ui/react/src/components/base/button-props.js:4`

ButtonCfgProps is a mixin that provides a style prop and some methods to apply the resulting style and checking if it is present in a given path or selection.

## Index

### Methods

- mergeButtonCfgProps

### Properties

- editor

## Methods

### `mergeButtonCfgProps`

(

- `props`

)
Object

Defined in `src/ui/react/src/components/base/button-props.js:21`

Merges the properties, passed to the current component with user's configuration via `buttonCfg` property.

#### Parameters:

- `props` Object

  The properties to be merged with the provided configuration for this button. If not passed, the user configuration will be merged with `this.props`

#### Returns:

Object:

The merged properties

## Properties

### `editor`

Object

Defined in `src/ui/react/src/components/base/button-props.js:13`

The editor instance where the component is being used.